mia-2dsegcompare
Prev | Tools for Myocardial Perfusion Analysis | Next

### mia-2dsegcompare

#### Sysnopis:

`mia-2dsegcompare` {-i `string`} {-r `string`} [ `options` ...]

#### Description:

This program is used to evaluate the Hausdorff distance between each frame of a perfusion time series of the input set to the corresponding frame of the reference set and prints the result to stdout.

#### Options:

-i, --in-file=(input, required); string

  input segmentation set

-r, --ref-file=(input, required); string

  reference segmentation set

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the per-slice Hausdorff distance of input.set and reference.set.

    mia-2dsegcompare -i input.set -r reference.set

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dmyoseries-dice | Home | mia-2dseghausdorff